BasicTreeUI.TreeTraverseAction (Java SE 15 & JDK 15)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicTreeUI, class: TreeTraverseAction
Keywords: javax.swing.plaf.basic.BasicTreeUI.TreeTraverseAction class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTreeUI.TreeTraverseAction

java.lang.Object
javax.swing.AbstractAction
javax.swing.plaf.basic.BasicTreeUI.TreeTraverseAction

All Implemented Interfaces:
  `ActionListener`, `Serializable`, `Cloneable`, `EventListener`, `Action`

Enclosing class:
  BasicTreeUI

    public class BasicTreeUI.TreeTraverseAction
    extends AbstractAction

`TreeTraverseAction` is the action used for left/right keys. Will toggle the expandedness of a node, as well as potentially incrementing the selection.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected int` | `direction` | Determines direction to traverse, 1 means expand, -1 means collapse.

  ### Fields declared in class javax.swing.AbstractAction

  `changeSupport, enabled`

  ### Fields declared in interface javax.swing.Action

  `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TreeTraverseAction​(int direction, String name)` | Constructs a new instance of `TreeTraverseAction`.

- ## Method Summary

  ### Methods declared in class javax.swing.AbstractAction

  `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

  ### Methods declared in class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javax.swing.Action

  `accept`

  ### Methods declared in interface java.awt.event.ActionListener

  `actionPerformed`

- ## Field Details

  - ### direction

    protected int direction
    Determines direction to traverse, 1 means expand, -1 means collapse.

- ## Constructor Details

  - ### TreeTraverseAction

    public TreeTraverseAction​(int direction, String name)
    Constructs a new instance of `TreeTraverseAction`.
    Parameters:
      `direction` - the direction
      `name` - the name of action